!--------1---------2---------3---------4---------5---------6---------7---------8
!
!  Module   rs_option_str_mod
!> @brief   structure of option information
!! @authors Norio Takase (NT)
!
!  (c) Copyright 2014 RIKEN. All rights reserved.
!
!--------1---------2---------3---------4---------5---------6---------7---------8

#ifdef HAVE_CONFIG_H
#include "../../../config.h"
#endif

module rs_option_str_mod

  use select_atoms_str_mod
  use messages_mod

  implicit none
  private

  ! structures
  type, public :: s_option

    logical                       :: check_only
    integer                       :: rstin_format
    integer                       :: rstout_format
    integer                       :: rstout_type
    double precision              :: min_energy
    double precision              :: min_delta_r
    integer                       :: md_iseed
    integer                       :: md_dof
    integer                       :: step
    double precision              :: md_thermo_moment
    double precision              :: md_baro_moment(3)
    double precision              :: origin_x
    double precision              :: origin_y
    double precision              :: origin_z

  end type s_option

  ! parameters for input restart file format
  integer,      public, parameter :: RstFormatNAMD    = 1
  integer,      public, parameter :: RstFormatGENESIS = 2

  character(*), public, parameter :: RstFormatTypes(2) = (/'NAMD   ','GENESIS'/)

  ! parameters for output genesis restart file type
  integer,      public, parameter :: RstTypeAuto   = 1
  integer,      public, parameter :: RstTypeMin    = 2
  integer,      public, parameter :: RstTypeMD     = 3

  character(*), public, parameter :: RstTypeTypes(3) = (/'AUTO', 'Min ', 'MD  '/)

end module rs_option_str_mod
